%define libname_orig	%{name}
%define major	2
%define libname	%mklibname ggi %{major}

Summary:	A fast, simple, small and flexible user-space graphics library
Name:		libggi
Version:	2.2.2
Release:	%mkrel 4
License:	GPL
Group:		System/Libraries
URL:		http://www.ggi-project.org/
Source:		http://www.ggi-project.org/ftp/ggi/v2.2/%{name}-%{version}.src.tar.bz2
Patch0:		libggi-2.0.1-no-lcd823-ppc.patch
Patch1:		libggi-2.1.0-gcc4.patch
Patch2:		libggi-2.1.0-libtool.patch
Patch3:		libggi-2.0.3-xpath.patch
Patch4:		libggi-2.1.0-lib64.patch
Patch5:		libggi-2.1.1-glibc2.4-fix.patch
Buildrequires:	libgii-devel >= 1.0.2-2mdv
BuildRequires:	autoconf2.5 >= 2.58, automake1.9
Buildrequires:	aalib-devel ncurses-devel DirectFB-devel libxext-devel
BuildConflicts:	svgalib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LibGGI is a fast, simple, small and flexible user-space graphics
library developed by the GGI Project <http://www.ggi-project.org/>.
It attempts to abstract the many different graphics output systems
existing under Unix (and in the future, other platforms). The support
for all of these different types of displays and hardware are provided
by dynamically-loaded mini-libraries.

LibGGI can transparently (to the LibGGI-using application) display
graphics on an X window, fbcon (Linux framebuffer driver), or the 
glide library, through their respective graphics drivers, or targets. 
There are also some other targets which display through another 
target, such as multi to display simultaneously on multiple displays 
at once, and tile to tile your display to different monitors.

LibGGI supports acceleration of graphics primitives where possible.

LibGGI is a very generic piece of software, that will run on about
every platform that has remotely heard of POSIX (ports to other systems
such as Win32 are underway) and on many display subsystems.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release} libgii-devel
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static Library for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%patch0 -p1 -b .ppc
#%patch1 -p1 -b .gcc4
#%patch2 -p1 -b .libtool
%patch3 -p1 -b .xpath
#%patch4 -p1 -b .lib64
#%patch5 -p1 -b .glibc2.4
# regenerate configure script
./autogen.sh

%build
# workaround configure failure
export echo=echo
%configure2_5x	--with-gii=%{_prefix} \
		--disable-debug
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# workaround failure
export echo=echo
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc FAQ NEWS README doc/env.txt doc/targets.txt
%dir %{_sysconfdir}/ggi/
%dir %{_sysconfdir}/ggi/targets
%config(noreplace) %{_sysconfdir}/ggi/libggi.conf
%config(noreplace) %{_sysconfdir}/ggi/targets/fbdev.conf
%{_bindir}/*
%dir %{_libdir}/ggi/
%dir %{_libdir}/ggi/default/
%dir %{_libdir}/ggi/default/fbdev
%dir %{_libdir}/ggi/display
%dir %{_libdir}/ggi/helper
%{_libdir}/ggi/*/*.la
%{_libdir}/ggi/*/*.so
%{_libdir}/ggi/default/fbdev/*.la
%{_libdir}/ggi/default/fbdev/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog doc/*.txt
%{_includedir}/ggi/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_includedir}/ggi/*
%{_libdir}/*.a
%{_libdir}/ggi/*/*.a
%{_libdir}/ggi/default/fbdev/*.a


%changelog
* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.2.2-4mdv2007.1
+ Revision: 144668
- move changelog and devel docs in devel package
- drop INSTALL files
- do not include 8 years old changelog (but keep recent one)

* Sun Feb 18 2007 Anssi Hannula <anssi@mandriva.org> 2.2.2-2mdv2007.1
+ Revision: 122602
- workaround build failure with echo=echo
- update filelist
- fix build
- rebuild for new libgii

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - bunzip patches
    - spec file clean
    - Import libggi



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1.1-3mdv2007.0
- Rebuild

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.1-2mdv2007.0
- fix build against glibc 2.4 (P5)
- fix buildrequires

* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.1-1mdk
- 2.1.1
- %%mkrel
- update gcc4 patch (P1)

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1.0-3mdk
- gcc4, lib64 & libtool fixes

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.0-2mdk
- use automake1.9 & autoconf2.5

* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.0-1mdk
- 2.1.0

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.5-1mdk
- 2.0.5
- enable directfb support (since directfb is now in main)
- buildconfligts on svgalib-devel so we don't accidentally build with
  svgalib support if svgalib-devel is installed (--disable-svga actually seems
  to enable it, that's why I use buildconflicts in stead)
- drop P2
- require libgii >= 0.8.5

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.4-1mdk
- 2.0.4
- drop P1, fixed upstream
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- --disable-debug
- fix buildrequires

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.3-5mdk
- libtool fixes

* Tue Sep  2 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-4mdk
- fix buildrequires

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0.3-3mdk
- rebuild for new rpm devel computation

* Mon Jun 16 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-2mdk
- patch1: fix build with new gcc

* Tue Apr 29 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- fix buildrequires
- mklibname macro
- disable directfb
- fix directory ownership
- new version

* Wed Jan 15 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.2-2mdk
- add a static-devel subpackage
- autoconf2.5 macro
- enable building of the static library 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Wed Nov 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.1-5mdk
- no lcd823 on ppc either

* Wed May 22 2002 Yves Duret <yduret@mandrakesoft.com> 2.0.1-4mdk
- rebuild without svgalib support.
- removed ref about svgalib in description.
- manual rebuild with gcc 3.1.
- add Buildrequires: ncurses-devel.
- add Buildrequires: libslang1-devel.
- %%configure.
- *.la files in devel packages.

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- requires (pixel)

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix requires

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- 2.0.1

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- made the library package depends on main package for configuration files

* Sun Aug 26 2001 Götz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- shut up, tar
- fixed %%sysconfdir

* Mon Aug 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0-1mdk
- first Mandrake release
